# MeshGenerate

Generates a mesh.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode MeshGenerate(Mesh boundary, PetscTruth interpolate, Mesh *mesh)

Not Collective

### Input Parameters

| boundary | - The Mesh boundary object
| interpolate | - Flag to create intermediate mesh elements

### Output Parameter

mesh -The Mesh object

### Keywords

mesh, elements

### See Also

MeshCreate(), MeshRefine()

Level:intermediate
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages